Environment.EnvironmentBlockEvaluator (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class Environment.EnvironmentBlockEvaluator

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          griffon.util.Environment.EnvironmentBlockEvaluator

    private static class Environment.EnvironmentBlockEvaluator
    extends GroovyObjectSupport

Field Summary
`private Closure` | `callable`
`private Environment` | `current`

Constructor Summary
`private Environment.EnvironmentBlockEvaluator(Environment e)`

Method Summary
`void` | `development(Closure c)`
`void` | `environments(Closure c)`
`Object` | `execute()`
`Closure` | `getCallable()`
`Object` | `methodMissing(String name, Object args)`
`void` | `production(Closure c)`
`void` | `test(Closure c)`

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### callable

    private Closure callable

### current

    private Environment current

Constructor Detail

### Environment.EnvironmentBlockEvaluator

    private Environment.EnvironmentBlockEvaluator(Environment e)

Method Detail

### development

    @SuppressWarnings("unused")
    public void development(Closure c)

### environments

    @SuppressWarnings("unused")
    public void environments(Closure c)

### execute

    Object execute()

### getCallable

    public Closure getCallable()

### methodMissing

    @SuppressWarnings("unused")
    public Object methodMissing(String name, Object args)

### production

    @SuppressWarnings("unused")
    public void production(Closure c)

### test

    @SuppressWarnings("unused")
    public void test(Closure c)

Groovy Documentation